# Create/Edit Address Attributes

### Resource

Where {uuid} is the Address Exchange Address UUID

```
POST    https://hosted.mastersoftgroup.com/harmony/rest/address/exchange/v1/addresses/{uuid}/addressAttributes
```

### Request

Any attribute can be saved and recorded against an address as long as it has legal purpose for validation and enrichment, does not contain PII such as residents names and not a reserved attribute name.

```json
{
  "additionalProp1": "string",
  "additionalProp2": "string",
  "additionalProp3": "string"
}
```

### Response

```json
{
    "status": "SUCCESS",
    "messages": [],
    "payload": "Saved attributes !!!"
}
```

To view the change you will need to call [Get Address](/loqate-harmony-api/address-exchange-beta/adx-api-specification/get-address.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/address-exchange-beta/adx-api-specification/create-edit-address-attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
